Name:          parley
Version:       16.04.2
Release:       1mamba
Summary:       Parley - Vocabulary Trainer
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org/applications/education/parley
Source:        http://download.kde.org/stable/applications/%{version}/src/parley-%{version}.tar.xz
License:       GPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-workspace-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libkdeedu-devel
BuildRequires: libphonon-devel
BuildRequires: libqt4-devel
BuildRequires: libSM-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END
BuildRequires: extra-cmake-modules
BuildRequires: libkhtml-devel
#Requires:      kde-workspace
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Parley is a program to help you memorize things.
Parley supports many language specific features but can be used for other learning tasks just as well.
It uses the spaced repetition learning method, also known as flash cards.
Creating new vocabulary collections with Parley is easy, but of course it is even better if you can use some of our premade files.
Have a look at the KDE-Files.org page or use the "Download New Collections" feature directly.

Features:
 * Different test types:
    * Mixed Letters (order the letters, anagram like) to get to know new words;
    * Multiple choice;
    * Written tests - type the words (including clever correction mechanisms);
    * Example sentences can be used to create 'fill in the gap' tests;
    * Article training;
    * Comparison forms (adjectives and/or adverbs);
    * Conjugations;
    * Synonym/Antonym/Paraphrase;
 * Fast test setup with all options in one dialog;
 * More than two languages (for example English, Chinese Traditional and Chinese Simplified);
 * Find words (also by word type) quickly;
 * Easy lesson management;
 * Premade vocabulary files ready to use;
 * Share and download vocabulary using Get Hot New Stuff;
 * Open XML file format (shared with KWordQuiz, Kanagram and KHangMan) that can be edited by hand and is easily usable with scripts.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_kde5_bindir}/%{name}
%{_kde5_datadir}/%{name}
%{_datadir}/appdata/org.kde.parley.appdata.xml
%{_datadir}/icons/oxygen/*/actions/*.png
%{_datadir}/icons/oxygen/scalable/actions/*.svgz
%dir %{_datadir}/kxmlgui5/parley
%{_datadir}/kxmlgui5/parley/*.rc
%dir %{_datadir}/kxmlgui5/parley/themes
%{_datadir}/kxmlgui5/parley/themes/*
%{_kde5_kcfgdir}/*.kcfg
%{_kde5_icondir}/hicolor/*/apps/%{name}.png
%{_kde5_icondir}/hicolor/scalable/apps/%{name}*.svgz
%{_kde5_xdgappsdir}/org.kde.%{name}.desktop
%config %{_kde5_configdir}/%{name}*.knsrc
%doc %lang(en) %{_kde5_htmldir}/en/%{name}
%doc AUTHORS COPYING COPYING.DOC TODO

%changelog
* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- update to 15.12.1

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Fri Mar 30 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Wed Mar 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.4-1mamba
- update to 4.7.4

* Sun Oct 09 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
